{% extends 'base.html' %}
{% load static %}
{% load humanize %}
{% block content %}

<div class="container">
	<div class="mainheading">
        <h1 class="sitetitle"><b>Mediumish</b></h1>
		<p class="lead">
			 Bootstrap theme, medium style, simply perfect for bloggers
		</p>
	</div>

	<section class="recent-posts">
	<div class="section-title">
		<h2><span>All Stories</span></h2>
	</div>
	<div class="card-columns listrecent">
        {% for j in object_list %}
            <!-- begin post -->
            <div class="card">
                <a href="{% url 'post' %}">
                    <img class="img-fluid" src="{{ j.image.url }}" alt="">
                </a>
                <div class="card-block">
                    <h2 class="card-title"><a href="{% url 'post' %}">{{ j.heading }}</a></h2>
                    <h4 class="card-text">{{ j.description }}</h4>
                    <div class="metafooter">
                        <div class="wrapfooter">
                            <span class="meta-footer-thumb">
                            <a href="{% url 'author' %}"><img class="author-thumb" src="https://www.gravatar.com/avatar/e56154546cf4be74e393c62d1ae9f9d4?s=250&amp;d=mm&amp;r=x" alt="Sal"></a>
                            </span>
                            <span class="author-meta">
                            <span class="post-name"><a href="{% url 'author' %}">{{ j.user.username }}</a></span><br/>
                            <span class="post-date">{{ j.created_at.date }}</span><span class="dot"></span><span class="post-read">{{ j.created_at | naturaltime }}</span>
                            </span>
                            <span class="post-read-more"><a href="{% url 'post' %}" title="Read Story"><svg class="svgIcon-use" width="25" height="25" viewbox="0 0 25 25"><path d="M19 6c0-1.1-.9-2-2-2H8c-1.1 0-2 .9-2 2v14.66h.012c.01.103.045.204.12.285a.5.5 0 0 0 .706.03L12.5 16.85l5.662 4.126a.508.508 0 0 0 .708-.03.5.5 0 0 0 .118-.285H19V6zm-6.838 9.97L7 19.636V6c0-.55.45-1 1-1h9c.55 0 1 .45 1 1v13.637l-5.162-3.668a.49.49 0 0 0-.676 0z" fill-rule="evenodd"></path></svg></a></span>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}

	</div>
	</section>
</div>

{% endblock %}